Index: tensions/PaysonsPlaces/index.php
===================================================================
--- /extensions/PaysonsPlaces/index.php	(revision 11344)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: tensions/PaysonsPlaces/template.php
===================================================================
--- /extensions/PaysonsPlaces/template.php	(revision 11344)
+++ 	(revision )
@@ -1,296 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml"><head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Title</title>
-
-<style>
-#navigation-1 {
-	background-color: #666666;
-
-	padding:1px 0;
-	margin:0px;
-	list-style:none;
-	width:100%;
-	height:21px;
-	border-top:1px solid #FFFFFF;
-	border-bottom:1px solid #FFFFFF;
-	font:normal 8pt verdana, arial, helvetica;
-}
-
-#navigation-1 li {
-	margin:0;
-	padding:0;
-	display:block;
-	float:left;
-	position:relative;
-	/*width:148px;*/
-}
-
-#navigation-1 li a:link, #navigation-1 li a:visited {
-	padding:4px 0;
-	display:block;
-	text-align:center;
-	text-decoration:none;
-	color:#ffffff;
-	width:148px;
-	height:13px;
-	background-color: #666666;
-}
-
-#navigation-1 li:hover a, #navigation-1 li a:hover, #navigation-1 li a:active {
-	padding:4px 0;
-	display:block;
-	text-align:center;
-	text-decoration:none;
-	color:#ffffff;
-	width:146px;
-	height:13px;
-	border-left:1px solid #ffffff;
-	border-right:1px solid #ffffff;
-	background-color: #999999;
-}
-
-#navigation-1 li ul.navigation-2 {
-	margin:0;
-	padding:1px 1px 0;
-	list-style:none;
-	display:none;
-	width:146px;
-	position:absolute;
-	top:21px;
-	left:-1px;
-	border:1px solid #000000;
-	border-top:none;
-	background-color: #FFFFFF;
-}
-
-#navigation-1 li:hover ul.navigation-2 {
-	display:block;
-}
-
-#navigation-1 li ul.navigation-2 li {
-	width:146px;
-	clear:left;
-	width:146px;
-}
-
-#navigation-1 li ul.navigation-2 li a:link, #navigation-1 li ul.navigation-2 li a:visited {
-	clear:left;
-	padding:4px 0;
-	width:146px;
-	border:none;
-	border-bottom:1px solid #ffffff;
-	position:relative;
-	z-index:1000;
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li:hover a, #navigation-1 li ul.navigation-2 li a:active, #navigation-1 li ul.navigation-2 li a:hover {
-	clear:left;
-	padding:4px 0;
-	width:146px;
-	border:none;
-	border-bottom:1px solid #ffffff;
-	position:relative;
-	z-index:1000;
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 {
-	display:none;
-	margin:0;
-	padding:0;
-	list-style:none;
-	position:absolute;
-	left:145px;
-	top:-2px;
-	padding:1px 1px 0 1px;
-	border:1px solid #000000;
-	border-left:1px solid #000000;
-	z-index:900;
-	background-color: #FFFFFF;
-}
-
-#navigation-1 li ul.navigation-2 li:hover ul.navigation-3 {
-	display:block;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 li a:link, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:visited {
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 li:hover a, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:hover, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:active {
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li a span {
-	position:absolute;
-	top:0;
-	left:132px;
-	font-size:12pt;
-	color:#999999;
-}
-
-#navigation-1 li ul.navigation-2 li:hover a span, #navigation-1 li ul.navigation-2 li a:hover span {
-	position:absolute;
-	top:0;
-	left:132px;
-	font-size:12pt;
-	color:#ffffff;
-}
-
-/*  */
-    #footer {
-	text-align: center;
-	padding: 10px;
-}
-
-	body {
-	height: 100%;
-	width: 100%;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	background-image: url(images/bg_c.JPG);
-	margin: 0px;
-	padding: 0px;
-}
-	table {
-	position: relative;
-	height: 100%;
-	width: 100%;
-	padding-left: 25px;
-	padding-right: 25px;
-	padding-bottom: 20px;
-}
-
-	html {
-
-	width: 100%;
-	height: 100%;
-
-	}
-	
-
-	#container {
-	width: 100%;
-	-moz-border-radius: 18px;
-	border-radius: 8px;
-	-webkit-box-shadow: 1px 1px 2px;
-	-moz-box-shadow: 1px 1px 2px;
-	box-shadow: 1px 1px 2px;
-	background-image: url(images/bg.gif);
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	padding: 10px;
-	padding-left: 0px;
-	padding-right: 0px;
- }
-#float_r  {
-	letter-spacing: normal;
-	text-align: left;
-	text-indent: 5px;
-	word-spacing: normal;
-	margin: 0;
-	width: 10px;
-	padding: 0;
-}
-	
-
-	
-	#shadow {
-	-moz-border-radius: 18px;
-	border-radius: 8px;
-	-webkit-box-shadow: 1px 1px 2px;
-	-moz-box-shadow: 1px 1px 2px;
-	box-shadow: 1px 1px 2px;
-	background-image: url(images/bg.gif);
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	height: 100%;
-}
-	#banner    {
-	text-align: center;
-	padding: 5px;
-}
-/* */
-/** 
-* Generated by www.formstylegenerator.com 
-**/
-
-/** You can use this style for your INPUT, TEXTAREA, SELECT elements **/
-.myinputstyle {
-	border: 1px solid #FFFFFF;
-	/** remember to change image path **/
-	background: url(bg3218635145) repeat-x #FFFFFF;
-	font-family: tahoma, helvetica, sans-serif;
-	font-style: normal;
-	font-size: 14px;
-	color: #454743;
-}
-
-/** You can use this style for your LABEL elements **/
-.mylabelstyle {
-	font-family: tahoma, helvetica, sans-serif;
-	font-style: bold;
-	font-size: 13px;
-	color: #82983e;
-}
-
-
-
-</style>
-</head>
-
-<body>
-<table cellspacing="20">
-		<tbody><tr>
-		  <td id="container">
-	<div id="banner">
-<img src="template2.php_files/Banner.png">
-	</div>
-<ul id="navigation-1">
-   
-   
-<li><input name="myname" style="" value="Search" type="text"></li>
-
-<li><a href="#" title="menu" target="_self">menu</a></li>
-   <li><a href="#" title="menu" target="_self">menu</a>
-      <ul class="navigation-2">
-         <li><a href="#" title="menu" target="_self">menu</a></li>
-         <li><a href="#" title="menu" target="_self">menu</a></li>
-      </ul>
-   </li>
-   <li><a href="#" title="menu" target="_self">menu</a>
-      <ul class="navigation-2">
-         <li><a href="#" title="menu" target="_self">menu</a></li>
-         <li><a href="#" title="menu" target="_self">menu</a></li>
-      </ul>
-   </li>
-
-</ul>
- 
-
-		  </td>
-		</tr>
-		<tr>
-			<td id="shadow">
-	<div>
-
-	</div>
-			</td>
-		</tr>
-  <tr>
-	<td id="shadow">
-	<div id="footer">
-		Footer
-	</div>
-			</td>
-	</tr>
-</tbody></table>
-
-
-
-
-
-
-</body></html>
Index: tensions/PaysonsPlaces/theme.css
===================================================================
--- /extensions/PaysonsPlaces/theme.css	(revision 11344)
+++ 	(revision )
@@ -1,223 +1,0 @@
-#navigation-1 {
-	background-color: #666666;
-	padding:1px 0;
-	margin:0px;
-	list-style:none;
-	width:100%;
-	height:21px;
-	border-top:1px solid #FFFFFF;
-	border-bottom:1px solid #FFFFFF;
-	font:normal 8pt verdana, arial, helvetica;
-}
-
-#navigation-1 li {
-	margin:0;
-	padding:0;
-	display:block;
-	float:left;
-	position:relative;
-	color: #FFFFFF;	/*width:148px;*/
-}
-
-#navigation-1 li a:link, #navigation-1 li a:visited {
-	padding:4px 0;
-	display:block;
-	text-align:center;
-	text-decoration:none;
-	color:#ffffff;
-	width:148px;
-	height:13px;
-	background-color: #666666;
-}
-
-#navigation-1 li:hover a, #navigation-1 li a:hover, #navigation-1 li a:active {
-	padding:4px 0;
-	display:block;
-	text-align:center;
-	text-decoration:none;
-	color:#ffffff;
-	width:146px;
-	height:13px;
-	border-left:1px solid #ffffff;
-	border-right:1px solid #ffffff;
-	background-color: #999999;
-}
-
-#navigation-1 li ul.navigation-2 {
-	margin:0;
-	padding:1px 1px 0;
-	list-style:none;
-	display:none;
-	width:146px;
-	position:absolute;
-	top:21px;
-	left:-1px;
-	border:1px solid #000000;
-	border-top:none;
-	background-color: #FFFFFF;
-}
-
-#navigation-1 li:hover ul.navigation-2 {
-	display:block;
-}
-
-#navigation-1 li ul.navigation-2 li {
-	width:146px;
-	clear:left;
-	width:146px;
-}
-
-#navigation-1 li ul.navigation-2 li a:link, #navigation-1 li ul.navigation-2 li a:visited {
-	clear:left;
-	padding:4px 0;
-	width:146px;
-	border:none;
-	border-bottom:1px solid #ffffff;
-	position:relative;
-	z-index:1000;
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li:hover a, #navigation-1 li ul.navigation-2 li a:active, #navigation-1 li ul.navigation-2 li a:hover {
-	clear:left;
-	padding:4px 0;
-	width:146px;
-	border:none;
-	border-bottom:1px solid #ffffff;
-	position:relative;
-	z-index:1000;
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 {
-	display:none;
-	margin:0;
-	padding:0;
-	list-style:none;
-	position:absolute;
-	left:145px;
-	top:-2px;
-	padding:1px 1px 0 1px;
-	border:1px solid #000000;
-	border-left:1px solid #000000;
-	z-index:900;
-	background-color: #FFFFFF;
-}
-
-#navigation-1 li ul.navigation-2 li:hover ul.navigation-3 {
-	display:block;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 li a:link, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:visited {
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li ul.navigation-3 li:hover a, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:hover, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:active {
-	background-color: #666666;
-}
-
-#navigation-1 li ul.navigation-2 li a span {
-	position:absolute;
-	top:0;
-	left:132px;
-	font-size:12pt;
-	color:#999999;
-}
-
-#navigation-1 li ul.navigation-2 li:hover a span, #navigation-1 li ul.navigation-2 li a:hover span {
-	position:absolute;
-	top:0;
-	left:132px;
-	font-size:12pt;
-	color:#ffffff;
-}
-
-	body {
-	width: 100%;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	margin: 0px;
-	padding: 0px;
-	background-image: url(images/bg_c.JPG);
-}
-   html,body{
-      margin:0;
-      padding:0;
-      height:100%;
-      border:none
-   }
-	table {
-	position: relative;
-	width: 100%;
-	padding-left: 25px;
-	padding-right: 25px;
-	padding-bottom: 20px;
-	
-	}
-	
-	#fullheight{
-	height: 100%;
-	
-	}
-	
-	html {
-
-	width: 100%;
-	height: 100%;
-
-	}
-	#banner    {
-	text-align: center;
-	padding: 5px;
-	width: 100%;
-	-moz-border-radius: 18px;
-	border-radius: 8px;
-	-webkit-box-shadow: 1px 1px 2px;
-	-moz-box-shadow: 1px 1px 2px;
-	box-shadow: 1px 1px 2px;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	padding: 10px;
-	padding-left: 0px;
-	padding-right: 0px;
-	background-image: url(images/bg_bw.JPG);
- }
-
-	
-
-	
-	#main_box {
-	text-align: center;
-	padding: 5px;
-	width: 100%;
-	-moz-border-radius: 18px;
-	border-radius: 8px;
-	-webkit-box-shadow: 1px 1px 2px;
-	-moz-box-shadow: 1px 1px 2px;
-	box-shadow: 1px 1px 2px;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	padding: 10px;
-	padding-left: 0px;
-	padding-right: 0px;
-	height: 100%;
-	vertical-align: top;
-	background-image: url(images/bg_bw.JPG);
-}
-
-/*  */
-    #footer {
-	padding: 10px;
-	-moz-border-radius: 18px;
-	border-radius: 8px;
-	-webkit-box-shadow: 1px 1px 2px;
-	-moz-box-shadow: 1px 1px 2px;
-	box-shadow: 1px 1px 2px;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	padding: 10px;
-	background-image: url(images/bg_bw.JPG);
-}
-#search_box {
-	left: 10px;
-}
Index: tensions/PaysonsPlaces/themeconf.inc.php
===================================================================
--- /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11344)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?php
-/*
-Theme Name: paysonsplaces
-Version: 0.0.2
-Description: 
-Theme URI: http://piwigo.org/ext/extension_view.php?eid=557
-Author: Tearran
-Author URI: http://tearran.deviantart.com
-*/
-$themeconf = array(
-  'name'  => 'paysonsplaces',
-  'parent' => 'default',
-);
-?>