Index: /extensions/gally/gally-default/language/nl_NL/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/nl_NL/theme.lang.php	(revision 11346)
+++ /extensions/gally/gally-default/language/nl_NL/theme.lang.php	(revision 11347)
@@ -33,31 +33,29 @@
 $lang['gally_interface_on_image_never'] = 'Nooit';
 
-
-// missing translations
-$lang['gally_image_interface_hidden'] = 'Display on loading page';
-$lang['gally_image_interface_hidden_desc'] = 'This option sets whether the interface should already be displayed when the page loads';
-$lang['gally_image_interface_hidden_no'] = 'The interface is visible at page load';
-$lang['gally_image_interface_hidden_yes'] = 'The interface is not visible on page load, it will be on the first trigger event';
-$lang['gally_interface_timer_delay'] = 'Timeout';
-$lang['gally_interface_timer_delay_desc'] = 'This option defines the idle time required before the interface is hidden';
-$lang['gally_meta_num_cols'] = 'Viewing metadata';
-$lang['gally_meta_num_cols_desc'] = 'This option sets the number of columns to use for displaying metadata';
-$lang['gally_columns'] = 'Number of columns';
-$lang['gally_display_banner'] = 'Display banner';
-$lang['gally_display_banner_desc'] = 'This option controls whether the banner of the site must be displayed when an image is viewed';
-$lang['gally_display_banner_yes'] = 'Show banner';
-$lang['gally_display_banner_no'] = 'Don\'t display banner';
-$lang['gally_image_auto_scroll'] = 'Management for panoramic images';
-$lang['gally_image_auto_scroll_desc'] = 'This option defines how to handle the display of wide images';
-$lang['gally_image_auto_scroll_yes'] = 'Automatic scrolling of the picture under the cursor';
-$lang['gally_image_auto_scroll_no'] = 'Manual scrolling of the picture';
-$lang['gally_image_auto_scroll_warning'] = 'This function is automatically disabled with MS Internet Explorer version of which is prior to 8';
-$lang['gally_image_simulate_high_res'] = 'Simulate the presence of a high resolution image for panoramic images';
-$lang['gally_image_interface_can_switch'] = 'Interface visibility mode';
-$lang['gally_image_interface_can_switch_desc'] = 'This option determines whether the interface is displayed continuously or if it can be hidden';
-$lang['gally_image_interface_can_switch_yes'] = 'The interface is visible only under the defined rules';
-$lang['gally_image_interface_can_switch_no'] = 'The interface is always visible';
-$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
-$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+$lang['gally_image_interface_hidden'] = 'Toon tijdens laden';
+$lang['gally_image_interface_hidden_desc'] = 'Deze instelling bepaalt of de interface alvast wordt getoond terwijl de pagina wordt geladen';
+$lang['gally_image_interface_hidden_no'] = 'De interface is zichtbaar tijdens het laden van de pagina';
+$lang['gally_image_interface_hidden_yes'] = 'De interface is niet zichtbaar tijdens het laden van de pagina, maar wordt zichtbaar na het eerste trigger event';
+$lang['gally_interface_timer_delay'] = 'Time-out';
+$lang['gally_interface_timer_delay_desc'] = 'Deze instelling bepaalt de wachttijd voordat de interface wordt verborgen';
+$lang['gally_meta_num_cols'] = 'Weergave metadata';
+$lang['gally_meta_num_cols_desc'] = 'Deze instelling bepaalt het aantal kolommen dat gebruikt wordt om de metadata weer te geven';
+$lang['gally_columns'] = 'Aantal kolommen';
+$lang['gally_display_banner'] = 'Site-banner tonen';
+$lang['gally_display_banner_desc'] = 'Deze instelling bepaalt of de site-banner wordt getoond bij het bekijken van een afbeelding';
+$lang['gally_display_banner_yes'] = 'Toon banner';
+$lang['gally_display_banner_no'] = 'Banner niet tonen';
+$lang['gally_image_auto_scroll'] = 'Beheer voor panoramische afbeeldingen';
+$lang['gally_image_auto_scroll_desc'] = 'Deze instelling bepaalt hoe brede afbeeldingen worden weergegeven';
+$lang['gally_image_auto_scroll_yes'] = 'De afbeelding onder de muis automatisch scrollen';
+$lang['gally_image_auto_scroll_no'] = 'Afbeelding handmatig scrollen';
+$lang['gally_image_auto_scroll_warning'] = 'Deze optie automatisch uitschakelen bij MS Internet Explorer versies voor versie 8';
+$lang['gally_image_simulate_high_res'] = 'Bij panoramische afbeeldingen de aanwezigheid van hoge resolutie versie simuleren';
+$lang['gally_image_interface_can_switch'] = 'Interface zichtbaarheid';
+$lang['gally_image_interface_can_switch_desc'] = 'Deze optie bepaalt of de interface altijd wordt getoond of kan worden verborgen';
+$lang['gally_image_interface_can_switch_yes'] = 'De interface is alleen zichtbaar onder de aangegeven condities';
+$lang['gally_image_interface_can_switch_no'] = 'De interface is altijd zichtbaar';
+$lang['gally_display_banner_alternate'] = 'Toon een alternatieve banner';
+$lang['gally_alternate_banner_content'] = 'Alternatieve banner inhoud:';
 
 ?>
Index: /extensions/gally/gally-default/language/no_NO/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/no_NO/theme.lang.php	(revision 11346)
+++ /extensions/gally/gally-default/language/no_NO/theme.lang.php	(revision 11347)
@@ -31,5 +31,5 @@
 $lang['gally_interface_on_image_always'] = 'Alltid';
 $lang['gally_interface_on_image_noscroll'] = 'Kun om bildet ikke er i bred format';
-$lang['gally_interface_on_image_neverNever'] = 'Aldri';
+$lang['gally_interface_on_image_never'] = 'Aldri';
 
 $lang['gally_image_interface_hidden'] = 'Vis på lastende side';