Index: /extensions/bbcode_bar/language/pl_PL/description.txt
===================================================================
--- /extensions/bbcode_bar/language/pl_PL/description.txt	(revision 11351)
+++ /extensions/bbcode_bar/language/pl_PL/description.txt	(revision 11351)
@@ -0,0 +1,1 @@
+Pozwala na użycie BBCode w komentarzach i opisach
Index: /extensions/bbcode_bar/language/pl_PL/index.php
===================================================================
--- /extensions/bbcode_bar/language/pl_PL/index.php	(revision 11351)
+++ /extensions/bbcode_bar/language/pl_PL/index.php	(revision 11351)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/pl_PL/plugin.lang.php	(revision 11351)
+++ /extensions/bbcode_bar/language/pl_PL/plugin.lang.php	(revision 11351)
@@ -0,0 +1,38 @@
+<?php
+
+$lang['p_help'] = "Paragraf : [p]Paragraf[/p]";
+$lang['b_help'] = "Pogrubione : [b]pogrubione[/b]";
+$lang['i_help'] = "Pochylone : [i]pochylone[/i]";
+$lang['u_help'] = "Podkreślone : [u]podkreślone[/u]";
+$lang['s_help'] = "Przekreślone  : [s]przekreślone[/s]";
+
+$lang['center_help'] = "Wyśrodkowanie : [center]wyśrodkowanie[/center]";
+$lang['right_help'] = "Wyrównanie do prawej : [right]wyrównanie do prawej[/right]";
+$lang['ul_help'] = "Lista nieuporządkowana : [ul][li]element[/li][/ul]";
+$lang['ol_help'] = "Lista uporządkowana : [ol][li]element[/li][/ol]";
+$lang['li_help'] = "Element listy : [li]element[/li]";
+
+$lang['quote_help'] = "Cytat : [quote]cytat[/quote]";
+$lang['img_help'] = "Obrazek : [img]obrazek[/img]";
+$lang['url_help'] = "URL : [url=URL]Title[/url]";
+$lang['mail_help'] = "E-mail : [email]Email[/email]";
+
+$lang['size_help'] = "Rozmiar czcionki : [size=X]tekst[/size]";
+$lang['tiny'] = "Malutka";
+$lang['small'] = "Mała";
+$lang['normal'] = "Normalna";
+$lang['large'] = "Duża";
+$lang['huge'] = "Ogromna";
+
+$lang['color_help'] = "Kolor czcionki : [color=color]tekst[/color]";
+$lang['red_help'] = "Czerwony";
+$lang['orange_help'] = "Pomarańczowy";
+$lang['yellow_help'] = "Żółty";
+$lang['green_help'] = "Zielony";
+$lang['blue_help'] = "Niebieski";
+$lang['purple_help'] = "Fioletowy";
+$lang['white_help'] = "Biały";
+$lang['grey_help'] = "Szary";
+$lang['black_help'] = "Czarny";
+  
+?>