Index: /extensions/CryptograPHP/include/category.inc.php
===================================================================
--- /extensions/CryptograPHP/include/category.inc.php	(revision 11369)
+++ /extensions/CryptograPHP/include/category.inc.php	(revision 11370)
@@ -6,8 +6,8 @@
 include($cryptinstall);
 
-add_event_handler('loc_begin_index', 'add_captcha');
-add_event_handler('user_comment_check', 'check_captcha', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+add_event_handler('loc_begin_index', 'add_crypto');
+add_event_handler('user_comment_check', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
 
-function add_captcha()
+function add_crypto()
 {
   global $template, $conf;
@@ -15,9 +15,9 @@
   if (!is_a_guest()) return;
   
-  $template->set_prefilter('comments_on_albums', 'captcha_prefilter');
+  $template->set_prefilter('comments_on_albums', 'prefilter_crypto');
   $template->assign('CAPTCHA', dsp_crypt($conf['cryptographp_theme'][0].'.cfg.php',1));
 }
 
-function captcha_prefilter($content, $smarty)
+function prefilter_crypto($content, $smarty)
 {
   load_language('plugin.lang', CRYPTO_PATH);
@@ -30,5 +30,5 @@
 }
 
-function check_captcha($action, $comment)
+function check_crypto($action, $comment)
 {
   global $conf, $user;
Index: /extensions/CryptograPHP/include/contactform.inc.php
===================================================================
--- /extensions/CryptograPHP/include/contactform.inc.php	(revision 11369)
+++ /extensions/CryptograPHP/include/contactform.inc.php	(revision 11370)
@@ -6,8 +6,8 @@
 include($cryptinstall);
 
-add_event_handler('display_contactform', 'add_captcha');
-add_event_handler('check_contactform_params', 'check_captcha');
+add_event_handler('display_contactform', 'add_crypto');
+add_event_handler('check_contactform_params', 'check_crypto');
 
-function add_captcha()
+function add_crypto()
 {
   global $template, $conf;
@@ -15,9 +15,9 @@
   if (!is_a_guest()) return;
 
-  $template->set_prefilter('cf_form', 'captcha_prefilter');
+  $template->set_prefilter('cf_form', 'prefilter_crypto');
   $template->assign('CAPTCHA', dsp_crypt($conf['cryptographp_theme'][0].'.cfg.php',1));
 }
 
-function captcha_prefilter($content, $smarty)
+function prefilter_crypto($content, $smarty)
 {
   $search = '
@@ -36,5 +36,5 @@
 }
 
-function check_captcha($infos)
+function check_crypto($infos)
 {
   if (!is_a_guest()) return $infos;
Index: /extensions/CryptograPHP/include/index.php
===================================================================
--- /extensions/CryptograPHP/include/index.php	(revision 11370)
+++ /extensions/CryptograPHP/include/index.php	(revision 11370)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CryptograPHP/include/picture.inc.php
===================================================================
--- /extensions/CryptograPHP/include/picture.inc.php	(revision 11369)
+++ /extensions/CryptograPHP/include/picture.inc.php	(revision 11370)
@@ -6,8 +6,8 @@
 include($cryptinstall);
 
-add_event_handler('loc_begin_picture', 'add_captcha');
-add_event_handler('user_comment_check', 'check_captcha', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+add_event_handler('loc_begin_picture', 'add_crypto');
+add_event_handler('user_comment_check', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
 
-function add_captcha()
+function add_crypto()
 {
   global $template, $conf;
@@ -15,9 +15,9 @@
   if (!is_a_guest()) return;
   
-  $template->set_prefilter('picture', 'captcha_prefilter');
+  $template->set_prefilter('picture', 'prefilter_crypto');
   $template->assign('CAPTCHA', dsp_crypt($conf['cryptographp_theme'][0].'.cfg.php',1));
 }
 
-function captcha_prefilter($content, $smarty)
+function prefilter_crypto($content, $smarty)
 {
   load_language('plugin.lang', CRYPTO_PATH);
@@ -30,5 +30,5 @@
 }
 
-function check_captcha($action, $comment)
+function check_crypto($action, $comment)
 {
   global $conf, $user;
Index: /extensions/CryptograPHP/include/register.inc.php
===================================================================
--- /extensions/CryptograPHP/include/register.inc.php	(revision 11369)
+++ /extensions/CryptograPHP/include/register.inc.php	(revision 11370)
@@ -6,16 +6,16 @@
 include($cryptinstall);
 
-add_event_handler('loc_end_page_header', 'add_captcha');
-add_event_handler('register_user_check', 'check_captcha');
+add_event_handler('loc_end_page_header', 'add_crypto');
+add_event_handler('register_user_check', 'check_crypto');
 
-function add_captcha()
+function add_crypto()
 {
   global $template, $conf;
 
-  $template->set_prefilter('register', 'captcha_prefilter');
+  $template->set_prefilter('register', 'prefilter_crypto');
   $template->assign('CAPTCHA', dsp_crypt($conf['cryptographp_theme'][0].'.cfg.php',1));
 }
 
-function captcha_prefilter($content, $smarty)
+function prefilter_crypto($content, $smarty)
 {
   load_language('plugin.lang', CRYPTO_PATH);
@@ -39,5 +39,5 @@
 }
 
-function check_captcha($errors)
+function check_crypto($errors)
 {
   if (!chk_crypt($_POST['code']))
Index: /extensions/CryptograPHP/main.inc.php
===================================================================
--- /extensions/CryptograPHP/main.inc.php	(revision 11369)
+++ /extensions/CryptograPHP/main.inc.php	(revision 11370)
@@ -42,19 +42,19 @@
 if (script_basename() == 'admin')
 {
-  add_event_handler('get_admin_plugin_menu_links', 'crypto_plugin_admin_menu' );
-}
+  add_event_handler('get_admin_plugin_menu_links', 'crypto_plugin_admin_menu');
 
-function crypto_plugin_admin_menu($menu)
-{
-	global $page,$conf;
+  function crypto_plugin_admin_menu($menu)
+  {
+    global $page,$conf;
 
-	array_push(
-    $menu,
-    array(
-      'NAME' => 'CryptograPHP',
-      'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
-      )
-		);
-	return $menu;
+    array_push(
+      $menu,
+      array(
+        'NAME' => 'CryptograPHP',
+        'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
+        )
+      );
+    return $menu;
+  }
 }
 