Index: /extensions/PaysonsPlaces/template/add_menu_on_public_pages.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/add_menu_on_public_pages.tpl	(revision 11378)
+++ /extensions/PaysonsPlaces/template/add_menu_on_public_pages.tpl	(revision 11378)
@@ -0,0 +1,12 @@
+<!-- Menu has been provided by the "Spread menus" -->
+
+{html_head}
+{if !empty($themeconf.spread_menus)}
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$themeconf.id}/css/{$themeconf.spread_menus}.css">
+{else}
+<link rel="stylesheet" type="text/css" href="{$SPREADM.Path}css/spread_menus_with_{$themeconf.id}.css">
+{/if}
+{/html_head}
+
+{$MENUBAR}
+{assign var='MENUBAR' value=''}
Index: /extensions/PaysonsPlaces/template/footer.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/footer.tpl	(revision 11377)
+++ /extensions/PaysonsPlaces/template/footer.tpl	(revision 11378)
@@ -1,3 +1,4 @@
-<link rel="stylesheet" type="text/css" href="../theme.css">
+<link rel="stylesheet" type="text/css" href="../theme.css">"
+
 </td>
 		</tr>
@@ -32,6 +33,5 @@
 {/if}
 
-
-			</td>
+</td>
 	</tr>
 </tbody></table>
Index: /extensions/PaysonsPlaces/template/header.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/header.tpl	(revision 11377)
+++ /extensions/PaysonsPlaces/template/header.tpl	(revision 11378)
@@ -55,18 +55,16 @@
 <link rel="stylesheet" type="text/css" href="../theme.css">
 </head>
-
 <body id="{$BODY_ID}">
-<table id="fullheight" cellspacing="20" width="100%" >
-
-<tbody><tr>
-		  <td id="banner">
-          
-{if not empty($header_msgs)}
-<div class="header_msgs">
+	<table id="fullheight" cellspacing="20" width="100%" >
+		<tbody>
+    		<tr>
+		 	 <td id="banner">
+	{if not empty($header_msgs)}
+		<div class="header_msgs">
 	{foreach from=$header_msgs item=elt}
 	{$elt}<br>
 	{/foreach}
-</div>
-{/if}
+		</div>
+	{/if}
 
 <div id="theHeader">{$PAGE_BANNER}</div>
@@ -79,5 +77,5 @@
 </div>
 {/if}
-<div><img src="themes/paysonsplaces/images/banner.png"></div>
+
 {$MENUBAR}</td>
 		</tr>
Index: /extensions/PaysonsPlaces/template/index.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/index.tpl	(revision 11377)
+++ /extensions/PaysonsPlaces/template/index.tpl	(revision 11378)
@@ -1,7 +1,6 @@
-<link rel="stylesheet" type="text/css" href="../theme.css">
+
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
 {*<div id="content" class="content">*}
 <div class="titrePage" id="nav-1">
-
 	<ul class="categoryActions">
 {if !empty($image_orders)}
@@ -109,5 +108,14 @@
 {/if}
 
-
+{if !empty($CONTENT_DESCRIPTION)}
+<fieldset  style="background-color:#ffffff">	
+		<legend>
+<b>Description</b>
+        </legend>
+<div class="padding" class="text" >
+{$CONTENT_DESCRIPTION}
+</div>
+</fieldset>	    
+{/if}
 
 {if !empty($CATEGORIES)}{$CATEGORIES}{/if}
@@ -118,15 +126,5 @@
 {/if}
 
-{if !empty($CONTENT_DESCRIPTION)}
-<table class="padding">
-<tr>
-	<td class="padding" id="des_m_p" class="text">
 
-{$CONTENT_DESCRIPTION}
-
-    </td>
-  </tr>
-</table>    
-{/if}
 
 {if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
Index: /extensions/PaysonsPlaces/template/mainpage_categories.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/mainpage_categories.tpl	(revision 11377)
+++ /extensions/PaysonsPlaces/template/mainpage_categories.tpl	(revision 11378)
@@ -3,20 +3,23 @@
 {foreach from=$category_thumbnails item=cat}
 	<li>
-<div class="padding">
+
+<fieldset>	
+		<legend>
+        	<a href="{$cat.URL}">{$cat.NAME}</a>
+		{if !empty($cat.icon_ts)}
+			<img src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)" width="44" height="18" title="{$cat.icon_ts.TITLE}" />
+		{else}
+        <spacer width="44" height="18">&nbsp;</spacer>
+        {/if}
+        </legend>
+
 <table >
  <tr >
-    <td width="96" class="padding">
+    <td class="padding">
 	<a href="{$cat.URL}">
 				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
 			</a>
-<center>
-<a href="{$cat.URL}">{$cat.NAME}</a>
-{if !empty($cat.icon_ts)}
-<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)">
-{/if}
-
-</center>
 	</td>
-    {if not empty($cat.DESCRIPTION)}
+{if not empty($cat.DESCRIPTION)}
     <td class="padding" id="des_m_p">
     	<div id="scroll" class="text">
@@ -26,17 +29,16 @@
         {else}
     <td class="padding" id="cat_box">
-    	<div id="scroll_1" class="text">
-			<p></p>				
+    	<div id="scroll" class="text">
+			<p>&nbsp;</p>
 		</div>
 	</div>
-         {/if}
-</td>
+{/if}
+	</td>
 </tr>
  
 </table>
+</fieldset>	
 
-</div>
-
-	</li>
+</li>
 {/foreach}
 </ul>
Index: /extensions/PaysonsPlaces/theme.css
===================================================================
--- /extensions/PaysonsPlaces/theme.css	(revision 11377)
+++ /extensions/PaysonsPlaces/theme.css	(revision 11378)
@@ -144,5 +144,5 @@
 	-moz-box-shadow: 1px 1px 2px;
 	box-shadow: 1px 1px 2px;
-	background-image: url(theme/paysonsplaces/theme/paysonsplaces/images/bg_bw.jpg);
+	background-image: url(images/bg_bw.jpg);
 	background-attachment: fixed;
 	background-repeat: no-repeat;
@@ -156,6 +156,7 @@
 	margin: 0px;
 	padding: 0px;
-	background-image: url(images/bg_c.JPG);
-}
+	background-image: url(images/bg_c.jpg);
+}
+
    html,body{
       margin:0;
@@ -194,5 +195,5 @@
 	-moz-box-shadow: 1px 1px 2px;
 	box-shadow: 1px 1px 2px;
-	background-image: url(theme/paysonsplaces/images/bg_bw.jpg);
+	background-image: url(images/bg_bw.jpg);
 	background-attachment: fixed;
 	background-repeat: no-repeat;
@@ -215,5 +216,5 @@
 	-moz-box-shadow: 1px 1px 2px;
 	box-shadow: 1px 1px 2px;
-	background-image: url(theme/paysonsplaces/images/bg_bw.jpg);
+	background-image: url(images/bg_bw.jpg);
 	background-attachment: fixed;
 	background-repeat: no-repeat;
@@ -235,20 +236,24 @@
 	-moz-box-shadow: inset  0px ;
 	box-shadow: inset 0px ;*/
+	
 	margin: 10px;
 	margin-bottom: 0px;
 	width: 100%;
-	height: 128px;
-
+	border-color: #EAEAEA;
+	border-style: groove;
+	border-width: 2px;
 }
 #des_m_p {
-	-moz-border-radius: 18px;
-	border-radius: 8px;
+	/*border-radius: 8px;
 	-webkit-box-shadow: inset 1px 1px 2px;
 	-moz-box-shadow: inset  1px 1px 2px;
-	box-shadow: inset 1px 1px 2px;
+	box-shadow: inset 1px 1px 2px;*/
 	margin: 10px;
 	margin-bottom: 0px;
 	width: 100%;
 	background-color: #FFFFFF;
+	border-color: threedface;
+	border-style: groove;
+	border-width: 2px;
 }
 #nav-1 {
@@ -281,5 +286,4 @@
 	height: 128px;
 	overflow: auto;
-	background-color: #FFFFFF;
 	width: inherit;
 	text-align: inherit;
@@ -312,11 +316,4 @@
 	border-right: 10;
 }
-#scroll_1 {
-	height: 128px;
-	overflow: auto;
-	width: inherit;
-	text-align: inherit;
-	padding: 0px;
-}
 #comments .description {
 	font-size: 100%;
Index: /extensions/PaysonsPlaces/themeconf.inc.php
===================================================================
--- /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11377)
+++ /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11378)
@@ -12,4 +12,35 @@
   	'parent' => 'default',
 	'icon_dir' => 'themes/paysonsplaces/icon',
+	'add_menu_on_public_pages' => true,	# activation
+	'Exclude' => array('theNBMPage','thePopuphelpPage',)
 );
+
+// thx to Vdigital and his plugin spreadmenus
+if ( !function_exists( 'add_menu_on_public_pages' ) ) {
+//	if ( defined('IN_ADMIN') and IN_ADMIN ) return false;
+	add_event_handler('loc_after_page_header', 'add_menu_on_public_pages', 20);
+
+	function  add_menu_on_public_pages() {
+	  if ( function_exists( 'initialize_menu') ) return false; # The current page has already the menu 
+	  if ( !get_themeconf('add_menu_on_public_pages') ) return false; # The current page has already the menu 
+	  global $template, $page, $conf;
+	 // if ( isset($page['body_id']) and in_array($page['body_id'], get_themeconf('Exclude')) ) return false;
+
+	  $template->set_filenames(array(
+		'add_menu_on_public_pages' => dirname(__FILE__) . '/template/add_menu_on_public_pages.tpl',
+	  ));
+	  include_once(PHPWG_ROOT_PATH.'include/menubar.inc.php');
+	  $template->parse('add_menu_on_public_pages');
+	  
+	  if (is_admin())
+		{
+	  $template->assign(
+        'U_ADMIN', get_root_url().'admin.php?page=picture_modify'
+      .'&amp;cat_id='.(isset($page['category']) ? $page['category']['id'] : '')
+      .( isset($page['image_id']) ? '&amp;image_id='.$page['image_id'] : '')
+      );
+		}
+	  
+	}
+}
 ?>