Index: /extensions/ExtendedDescription/language/en_UK/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/en_UK/description.txt	(revision 11383)
+++ /extensions/ExtendedDescription/language/en_UK/description.txt	(revision 11384)
@@ -1,1 +1,1 @@
-Add multilinguale descriptions, banner, NMB, category name, etc...
+Add multilinguale descriptions, banner, NMB, album name, etc...
Index: /extensions/ExtendedDescription/language/en_UK/help.html
===================================================================
--- /extensions/ExtendedDescription/language/en_UK/help.html	(revision 11383)
+++ /extensions/ExtendedDescription/language/en_UK/help.html	(revision 11384)
@@ -22,7 +22,7 @@
 <h3>Extended descriptions</h3>
 
-<p>Extended description tags make it possible to have a short description for the category outside the category,
-a longer description for the category inside the category page,
-or even 2 distinct descriptions inside the category page.</p>
+<p>Extended description tags make it possible to have a short description for the album outside the album,
+a longer description for the album inside the album page,
+or even 2 distinct descriptions inside the album page.</p>
 
 <p>tag &lt;!--more--&gt; adds text to the short description.<br>
@@ -34,5 +34,5 @@
 </ul>
 <code>short description &lt;!--more--&gt; long description</code>
-<p>Only the short description is displayed outside the category. On the category page, you will see short description + long description.</p>
+<p>Only the short description is displayed outside the album. On the album page, you will see short description + long description.</p>
 
 <ul>
@@ -40,5 +40,5 @@
 </ul>
 <code>short description &lt;!--complete--&gt; long description</code>
-<p>Only the short description is displayed outside the category. On the category page, you will only see the long description, so you have 2 distinct descriptions.</p>
+<p>Only the short description is displayed outside the album. On the album page, you will only see the long description, so you have 2 distinct descriptions.</p>
 
 <ul>
@@ -46,12 +46,12 @@
 </ul>
 <code>top description &lt;!--up-down--&gt; bottom description</code>
-<p>Only the top description is displayed outside the category.  On the category page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
+<p>Only the top description is displayed outside the album.  On the album page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
 
-<h3>Insert a category or a photo</h3>
+<h3>Insert a album or a photo</h3>
 
 <ul>
   <li><b>tag [cat=xx]</b></li>
 </ul>
-<p>This tag inserts a category in the description, where xx is the category identifier.</p>
+<p>This tag inserts a album in the description, where xx is the album identifier.</p>
 
 <ul>
@@ -59,47 +59,47 @@
 </ul>
 <p>This tag allows to insert one or more thumbnail in the description, with:<br><br>
-- xx the photo identifier; you can add the category identifier next to the photo identifier: <code>xx.ccc</code>.
+- xx the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.
 <br>
 - yyyy (optional) : can take any value among {left, right}.</p>
-- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the image markup &lt;title&gt; is fill with the name.</p>
+- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the photo markup &lt;title&gt; is fill with the name.</p>
 
 
-<h3>Hide a category</h3>
+<h3>Hide a album</h3>
 
-<p>Use tag <b>&lt;!--hidden--&gt;</b> in the category name:<br>
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the album name:<br>
 <br>
-- it won't be displayed in the parent category<br>
-- it remains visible in the category menu</p>
+- it won't be displayed in the parent album<br>
+- it remains visible in the album menu</p>
 
-<h3>Hide a category in menu</h3>
+<h3>Hide a album in menu</h3>
 
-<p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the category name:<br>
+<p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the album name:<br>
 <br>
-- it won't be displayed in the category menu<br>
-- it remains visible in the parent category</p>
+- it won't be displayed in the album menu<br>
+- it remains visible in the parent album</p>
 
-<h3>Hide an image</h3>
+<h3>Hide a photo</h3>
 
-<p>Use tag <b>&lt;!--hidden--&gt;</b> in the image name:<br>
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the photo name:<br>
 <br>
 - it won't be displayed on the thumbnails page<br>
-- it remains visible inside the category</p>
+- it remains visible inside the album</p>
 
-<h3>Redirected category</h3>
+<h3>Redirected album</h3>
 
 <ul>
   <li><b>[redirect http://piwigo.org]</b></li>
 </ul>
-<p>Insert this tag into a category description to redirect it to the URL of your choice.</p>
+<p>Insert this tag into a album description to redirect it to the URL of your choice.</p>
 
 <ul>
   <li><b>[redirect img=xx]</b></li>
 </ul>
-<p>Redirect to an image of your gallery where xx is the photo identifier; you can add the category identifier next to the photo identifier: <code>xx.ccc</code>.</p>
+<p>Redirect to a photo of your gallery where xx is the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.</p>
 
 <ul>
   <li><b>[redirect cat=xx]</b></li>
 </ul>
-<p>Redirect to a category of your gallery where xx the category identifier.</p>
+<p>Redirect to a album of your gallery where xx the album identifier.</p>
 
 <ul>
Index: /extensions/ExtendedDescription/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/en_UK/plugin.lang.php	(revision 11383)
+++ /extensions/ExtendedDescription/language/en_UK/plugin.lang.php	(revision 11384)
@@ -2,5 +2,5 @@
 
 $lang['ExtendedDesc_help'] = 'Use Extended Description tags...';
-$lang['This category is redirected to %s'] = 'This category is redirected to %s';
+$lang['This category is redirected to %s'] = 'This album is redirected to %s';
 
 ?>
Index: /extensions/ExtendedDescription/language/fr_FR/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/fr_FR/description.txt	(revision 11383)
+++ /extensions/ExtendedDescription/language/fr_FR/description.txt	(revision 11384)
@@ -1,1 +1,1 @@
-Ajoutez des descriptions Multilinguale, bannière, NMB, nom de la catégorie, etc ..
+Ajoutez des descriptions Multilinguale, bannière, NMB, nom d'album, etc ..
Index: /extensions/ExtendedDescription/language/fr_FR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/fr_FR/help.html	(revision 11383)
+++ /extensions/ExtendedDescription/language/fr_FR/help.html	(revision 11384)
@@ -24,7 +24,7 @@
 <h3>Descriptions étendues</h3>
 
-<p>Les balises de description étendue permettent d'avoir une description réduite pour la présentation d'une catégorie,
-une description étendue pour la description qui s'affiche sur la page de la catégorie,
-ou deux descriptions différentes sur la page de la catégorie.</p>
+<p>Les balises de description étendue permettent d'avoir une description réduite pour la présentation d'un album,
+une description étendue pour la description qui s'affiche sur la page de l'album,
+ou deux descriptions différentes sur la page de l'album.</p>
 
 <p>La balise &lt;!--more--&gt; permet de rajouter du texte à la description réduite.<br>
@@ -36,6 +36,6 @@
 </ul>
 <code>description réduite &lt;!--more--&gt; description détaillée</code>
-<p>Seule la description réduite sera affichée pour la présentation de la catégorie.
-Sur la catégorie elle-même, la description sera la description réduite + la description détaillée.</p>
+<p>Seule la description réduite sera affichée pour la présentation de l'album.
+Sur l'album lui-même, la description sera la description réduite + la description détaillée.</p>
 
 <ul>
@@ -43,6 +43,6 @@
 </ul>
 <code>description réduite &lt;!--complete--&gt; description détaillée</code>
-<p>Seule la description réduite sera affichée pour la présentation de la catégorie.
-Par contre, sur la catégorie elle-même, la description sera uniquement la description détaillée, soit 2 descriptions différentes.</p>
+<p>Seule la description réduite sera affichée pour la présentation de l'album.
+Par contre, sur l'album lui-même, la description sera uniquement la description détaillée, soit 2 descriptions différentes.</p>
 
 <ul>
@@ -50,14 +50,14 @@
 </ul>
 <code>description haute &lt;!--up-down--&gt; description basse</code>
-<p>Seule la description haute sera affichée pour la présentation de la catégorie.
-Sur la catégorie elle-même, la description haute sera affichée au-dessus des miniatures, alors que la description basse sera affichée au-dessous (à l'emplacement normal de la description).</p>
+<p>Seule la description haute sera affichée pour la présentation de l'album.
+Sur l'album lui-même, la description haute sera affichée au-dessus des miniatures, alors que la description basse sera affichée au-dessous (à l'emplacement normal de la description).</p>
 
 
-<h3>Insérer une catégorie ou une image</h3>
+<h3>Insérer un album ou une photo</h3>
 
 <ul>
   <li><b>Balise [cat=xx]</b></li>
 </ul>
-<p>Cette balise permet d'insérer une catégorie dans la description, avec xx le numéro de la catégorie</p>
+<p>Cette balise permet d'insérer un album dans la description, avec xx le numéro de l'album</p>
 
 <ul>
@@ -65,47 +65,47 @@
 </ul>
 <p>Cette balise permet d'insérer une ou plusieurs vignettes dans la description, avec :<br><br>
-- xx le numéro de l'image ; il est possible de préciser le numéro de la catégorie mère après le numéro : <code>xx.ccc</code>.<br/>
+- xx le numéro de la photo ; il est possible de préciser le numéro de l'album parent après le numéro : <code>xx.ccc</code>.<br/>
 <br/>
 - yyyy (facultatif) prend soit la valeur <i>left</i>, soit la valeur <i>right</i> et permet de positionner la vignette de l'image sur la droite ou la gauche.
 <br/>
-- name (facultatif) prend soit la valeur <i>name</i>, soit la valeur <i>titleName</i> ; avec <i>name</i> le nom de la photo sera affiché sous la vignette, avec <i>titleName</i> le nom de la photo est renseigné dans la balise <i>&lt;title&gt;</i> de l'image.</p>
+- name (facultatif) prend soit la valeur <i>name</i>, soit la valeur <i>titleName</i> ; avec <i>name</i> le nom de la photo sera affiché sous la vignette, avec <i>titleName</i> le nom de la photo est renseigné dans la balise <i>&lt;title&gt;</i> de celle-ci.</p>
 
-<h3>Masquer une catégorie</h3>
+<h3>Masquer un album</h3>
 
-<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de la catégorie:<br>
+<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de l'album :<br>
 <br>
-- celle-ci ne sera plus affichée sur la page de la catégorie parente<br>
-- elle reste visible dans le menu des catégories</p>
+- celui-ci ne sera plus affichée sur la page de l'album parent<br>
+- il reste visible dans le menu des albums</p>
 
-<h3>Masquer une catégorie dans le menu</h3>
+<h3>Masquer un album dans le menu</h3>
 
-<p>On met la balise <b>&lt;!--mb-hidden--&gt;</b> dans le nom de la catégorie:<br>
+<p>On met la balise <b>&lt;!--mb-hidden--&gt;</b> dans le nom de l'album :<br>
 <br>
-- celle-ci ne sera plus affichée dans le menu des catégories<br>
-- elle reste visible sur la page de la catégorie parente</p>
+- celui-ci ne sera plus affichée dans le menu des albums<br>
+- il reste visible sur la page de l'album parent</p>
 
-<h3>Masquer une image</h3>
+<h3>Masquer une photo</h3>
 
-<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de l'image :<br>
+<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de la photo :<br>
 <br>
 - celle-ci ne sera plus affichée sur la page des vignettes<br>
-- elle reste néanmoins visible au sein de la catégorie</p>
+- elle reste néanmoins visible au sein de l'album</p>
 
-<h3>Catégorie redirigée</h3>
+<h3>Album redirigée</h3>
 
 <ul>
   <li><b>[redirect http://piwigo.org]</b></li>
 </ul>
-<p>Insérez cette balise dans la description d'une catégorie afin de la rediriger vers l'URL de votre choix.</p>
+<p>Insérez cette balise dans la description d'un album afin de le rediriger vers l'URL de votre choix.</p>
 
 <ul>
   <li><b>[redirect img=xx]</b></li>
 </ul>
-<p>Redirige vers une image de votre galerie où xx est l'identifiant de l'image; vous pouvez également préciser l'identifiant de la catégorie après le numéro de l'image: <code>xx.ccc</code>.</p>
+<p>Redirige vers une photo de votre galerie où xx est l'identifiant de celle-ci; vous pouvez également préciser l'identifiant de l'album après le numéro de la photo : <code>xx.ccc</code>.</p>
 
 <ul>
   <li><b>[redirect cat=xx]</b></li>
 </ul>
-<p>Redirige vers une catégorie de votre galerie où xx est l'identifiant de la catégorie.</p>
+<p>Redirige vers un album de votre galerie où xx est l'identifiant de celui-ci.</p>
 
 <ul>
Index: /extensions/ExtendedDescription/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/fr_FR/plugin.lang.php	(revision 11383)
+++ /extensions/ExtendedDescription/language/fr_FR/plugin.lang.php	(revision 11384)
@@ -2,5 +2,5 @@
 
 $lang['ExtendedDesc_help'] = 'Utiliser les balises d\'Extended Description...';
-$lang['This category is redirected to %s'] = 'Cette catégorie est redirigée vers %s';
+$lang['This category is redirected to %s'] = 'Cet album est redirigé vers %s';
 
 ?>