Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 11386)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 11387)
@@ -793,3 +793,57 @@
 $lang['Searching...'] = 'Hledám...';
 $lang['Type in a search term'] = 'Zadejte hledaný výraz';
+$lang['Activate icon "new" next to albums and pictures'] = 'Aktivovat ikonu "nové" vedle alb a obrázků';
+$lang['As default order'] = 'Jako výchozí pořadí';
+$lang['Compact'] = 'Kompaktní';
+$lang['Complete'] = 'Kompletní';
+$lang['Custom'] = 'Běžný';
+$lang['Deactivate all'] = 'Deaktivovat vše';
+$lang['Default photos order'] = 'Výchozí pořadí fotografií';
+$lang['Default photos order inside album'] = 'Výchozí pořadí fotografií uvnitř album';
+$lang['Invalid order string'] = 'Neplatný řetězec výběru';
+$lang['Restore'] = 'Obnovit';
+$lang['Restore default configuration. You will lost your plugin settings!'] = 'Obnovit výchozí konfiguraci. Přijdete o nastavení v pluginech!';
+$lang['Show menubar'] = 'Zobrazit menu';
+$lang['Regenerate Thumbnails'] = 'Regenerovat Náhledy';
+$lang['Regenerate Websize Photos'] = 'Regenerovat webové rozlišení fotek';
+$lang['Thumbnails generation in progress...'] = 'Generování náhledů v přípravě...';
+$lang['Photos generation in progress...'] = 'Generování fotek v přípravě...';
+$lang['%s thumbnails have been regenerated'] = '%s náhledů bylo regenerováno';
+$lang['%s thumbnails can not be regenerated'] = '%s náhledů nemohlo být regenerováno';
+$lang['%s photos have been regenerated'] = '%s fotek bylo regenerováno';
+$lang['%s photos can not be regenerated'] = '%s fotek nemohlo být regenerováno';
+$lang['Only photos with HD can be regenerated!'] = 'Pouze fotky s vysokým rozlišením mohou být regenerovány!';
+$lang['Updates'] = 'Aktualizace';
+$lang['Update in progress... Please wait.'] = 'Probíhá aktualizace... Prosím čekejte.';
+$lang['Ignore this update'] = 'Ignoruj tuto aktualizaci';
+$lang['Reset ignored updates'] = 'Resetuj ignorované aktualizace';
+$lang['Update All'] = 'Aktualizuj vše';
+$lang['ERROR'] = 'CHYBA';
+$lang['Update Complete'] = 'Aktualizace kompletní';
+$lang['Piwigo Update'] = 'Piwigo Aktualizace';
+$lang['Extensions Update'] = 'Aktualizace Doplňků';
+$lang['All extensions are up to date.'] = 'Veškerá rozšíření jsou aktuální.';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Následující pluginy nemusejí být kompatibilní s novou verzí Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Následující šablony vzhledu nemusejí být kompatibilní s novou verzí Piwigo:';
+$lang['I decide to update anyway'] = 'Rozhodl jsem se aktualizovat';
+$lang['Update to Piwigo %s'] = 'Aktualizace na Piwigo %s';
+$lang['Two updates are available'] = 'dvě aktualizace jsou k dispozici';
+$lang['This is a minor update, with only bug corrections.'] = 'Toto je minoritní aktualizace, opravuje zejména chyby.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Toto je velká aktualizace, s <a href="%s">novými funkcemi</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Některé šablony vzhledu a pluginy nemusejí být dostupné.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Můžete aktualizovat na vyšší verzi Piwigo %s přímo, bez nutnosti upgradu na Piwigo %s (doporučeno).';
+$lang['Save Template Directory'] = 'Uložit složku šablony';
+$lang['Dump Database'] = 'Záloha (Dump) Databáze';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Ponech data historie (Upozornění: limit paměti serveru může být překročen)';
+$lang['Unable to write new local directory.'] = 'Nelze vytvořit novou složku.';
+$lang['Unable to send template directory.'] = 'Nelze odeslat složku šabloy.';
+$lang['Unable to dump database.'] = 'Nelze zálohovat databázi.';
+$lang['Some upgrades are available for extensions.'] = 'Nějaké aktualizace jsou dostupné pro pluginy.';
+$lang['Ignore All'] = 'Ignoruj Vše';
+$lang['Crop'] = 'Oříznutí';
+$lang['Width'] = 'Šířka';
+$lang['Height'] = 'Výška';
+$lang['Follow Orientation'] = 'Postupuj podle orientace';
+$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Pokdu chcete regenerovat náhledy fotek, pokračujte na <a href="%s">Batch Manager</a>.';
+$lang['Graphics Library'] = 'Grafická knihovna';
 ?>