Index: /extensions/PersoFavicon/language/pl_PL/description.txt
===================================================================
--- /extensions/PersoFavicon/language/pl_PL/description.txt	(revision 11388)
+++ /extensions/PersoFavicon/language/pl_PL/description.txt	(revision 11388)
@@ -0,0 +1,1 @@
+Zmień  favicon Piwigo na favicon z  katalogu lokalnego
Index: /extensions/PersoFavicon/language/pl_PL/index.php
===================================================================
--- /extensions/PersoFavicon/language/pl_PL/index.php	(revision 11388)
+++ /extensions/PersoFavicon/language/pl_PL/index.php	(revision 11388)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/pl_PL/plugin.lang.php	(revision 11388)
+++ /extensions/PersoFavicon/language/pl_PL/plugin.lang.php	(revision 11388)
@@ -0,0 +1,26 @@
+<?php
+
+//zakładka dodaj
+$lang['pfi_h2'] = 'Perso Favicon Plugin';
+$lang['pfi_ajout'] = 'Dodaj ikonę';
+$lang['pfi_actu'] = 'Ikona znajduje się w lokalnym katalogu: ';
+$lang['pfi_actu2'] = 'UWAGA: It will be replaced by the news that you download';
+$lang['pfi_validdef'] = 'Potwierdź wybór - jeśli istnieje - zastąpi bieżącą ikonę';
+$lang['pfi_select'] = 'Wybierz plik ikony (.ico)';
+$lang['pfi_envoie'] = 'Wczytaj do katalogu lokalnego';
+$lang['pfi_erreur_ext'] = 'Musisz wczytać plik typu .ico';
+$lang['pfi_erreur_taille'] = 'Musisz wczytać plik o rozmiarze max. 5 kb ';
+$lang['pfi_erreur_exist'] = 'Plik został zamieniony';
+$lang['pfi_erreur_nom'] = 'Niewłaściwa nazwa pliku';
+$lang['pfi_erreur_vide'] = 'Plik nieznaleziony';
+$lang['pfi_ok'] = 'Plik został wczytany';
+$lang['pfi_erreur_mouve'] = 'Nie można skopiować pliku do katalogu lokalnego';
+
+//zakładka pomoc
+$lang['help'] = 'Pomoc';
+$lang['pfi_aide1T'] = 'Formularz dodawania';
+$lang['pfi_aide1'] = 'You can add a favicon using the form to add, the file will automatically name favicon.ico and replace that which may already be present in the local directory.<br>Maximum file size 5kb.<br>Depending on the browser there is a time-to-date';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'If you upload via FTP an icon who has another name as favicon, you can add in your local configuration file<br>$conf[\'PersoFavicon\']=\'your filename\''; 
+
+?>